import 'package:dibbs_cli_example/core/domain/repositories/my_repo/my_repo_repository.dart';
import 'package:dibbs_cli_example/core/data/data_sources/my_repo/local/my_repo_local_data_source.dart';
import 'package:dibbs_cli_example/core/data/data_sources/my_repo/remote/my_repo_remote_data_source.dart';

class MyRepoRepositoryImplementation implements MyRepoRepository {
  final MyRepoLocalDataSource _localDataSource;
  final MyRepoRemoteDataSource _remoteDataSource;

  const MyRepoRepositoryImplementation(
      this._remoteDataSource, this._localDataSource);
}
