import 'package:dibbs_cli_example/core/data/helpers/app_logger.dart';
import 'package:dibbs_cli_example/core/data/model/app_exception.dart';
import 'package:dibbs_cli_example/core/domain/managers/user_manager.dart';
import 'package:graphql/client.dart';
import 'package:mocktail/mocktail.dart';
import 'package:test/test.dart';
import 'package:dibbs_cli_example/src/core/data/repositories/my_repo/my_repo_repository_implementation.dart';

import '../../../../mocks/index.dart';
import '../../../../setup_repositories.dart';

class MyRepoRemoteDataSourceSpy extends Mock implements MyRepoRemoteDataSource {
}

class MyRepoLocalDataSourceSpy extends Mock implements MyRepoLocalDataSource {}

class UserManagerMock extends Mock implements UserManager {}

void main() {
  final remoteDataSource = MyRepoRemoteDataSourceSpy();
  final localDataSource = MyRepoLocalDataSourceSpy();
  MyRepoRepositoryImplementation repository;

  setUp(() {
    initialRepositoriesSetup;
    repository =
        MyRepoRepositoryImplementation(remoteDataSource, localDataSource);
  });

  test('MyRepo repository implementation test', () async {
    //arrange

    //act

    //assert
  });
}
